# Generated by Django 2.1.1 on 2018-09-11 16:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Idea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='creation date and time')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='modification date and time')),
                ('meta_keywords', models.CharField(blank=True, help_text='Separate keywords with commas.', max_length=255, verbose_name='Keywords')),
                ('meta_description', models.CharField(blank=True, max_length=255, verbose_name='Description')),
                ('meta_author', models.CharField(blank=True, max_length=255, verbose_name='Author')),
                ('meta_copyright', models.CharField(blank=True, max_length=255, verbose_name='Copyright')),
                ('itemtype', models.CharField(blank=True, choices=[('THING', 'Thing'), ('CREATIVE_WORK', 'CreativeWork'), ('BOOK', 'Book')], max_length=100, verbose_name='Microdata item type')),
                ('title_en_us', models.CharField(db_tablespace='', max_length=200, verbose_name='Title (US English)')),
                ('title_en_gb', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name="Title (Queen's English)")),
                ('title_de', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Deutsch)')),
                ('title_fr', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Français)')),
                ('title_lt', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Lietuvių kalba)')),
                ('description_en_us', models.TextField(blank=True, db_tablespace='', verbose_name='Description (US English)')),
                ('description_en_gb', models.TextField(blank=True, db_tablespace='', verbose_name="Description (Queen's English)")),
                ('description_de', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Deutsch)')),
                ('description_fr', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Français)')),
                ('description_lt', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Lietuvių kalba)')),
                ('content_en_us', models.TextField(db_tablespace='', verbose_name='Content (US English)')),
                ('content_en_gb', models.TextField(blank=True, db_tablespace='', verbose_name="Content (Queen's English)")),
                ('content_de', models.TextField(blank=True, db_tablespace='', verbose_name='Content (Deutsch)')),
                ('content_fr', models.TextField(blank=True, db_tablespace='', verbose_name='Content (Français)')),
                ('content_lt', models.TextField(blank=True, db_tablespace='', verbose_name='Content (Lietuvių kalba)')),
            ],
            options={
                'verbose_name': 'Idea',
                'verbose_name_plural': 'Ideas',
            },
        ),
        migrations.CreateModel(
            name='Like',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.CharField(default='', help_text='Please enter the ID of the related object.', max_length=255, verbose_name='Related object')),
                ('owner_object_id', models.CharField(default='', help_text='Please enter the ID of the related object.', max_length=255, verbose_name='Owner')),
                ('content_type', models.ForeignKey(help_text='Please select the type (model) for the relation, you want to build.', on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType', verbose_name="Related object's type (model)")),
                ('owner_content_type', models.ForeignKey(help_text='Please select the type (model) for the relation, you want to build.', limit_choices_to={'model__in': ('user', 'institution')}, on_delete=django.db.models.deletion.CASCADE, related_name='owner', to='contenttypes.ContentType', verbose_name="Owner's type (model)")),
            ],
            options={
                'verbose_name': 'Like',
                'verbose_name_plural': 'Likes',
            },
        ),
    ]
