# Generated by Django 2.1.2 on 2018-10-02 04:52

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='creation date and time')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='modification date and time')),
                ('title_en', models.CharField(db_tablespace='', max_length=200, verbose_name='Title (English)')),
                ('title_de', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Deutsch)')),
                ('title_fr', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Français)')),
                ('title_lt', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Lietuvių kalba)')),
            ],
            options={
                'verbose_name': 'Idea Category',
                'verbose_name_plural': 'Idea Categories',
            },
        ),
        migrations.CreateModel(
            name='Idea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_original', models.BooleanField(verbose_name='Original')),
                ('title_en', models.CharField(db_tablespace='', max_length=200, verbose_name='Title (English)')),
                ('title_de', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Deutsch)')),
                ('title_fr', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Français)')),
                ('title_lt', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Title (Lietuvių kalba)')),
                ('subtitle_en', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Subtitle (English)')),
                ('subtitle_de', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Subtitle (Deutsch)')),
                ('subtitle_fr', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Subtitle (Français)')),
                ('subtitle_lt', models.CharField(blank=True, db_tablespace='', max_length=200, verbose_name='Subtitle (Lietuvių kalba)')),
                ('description_en', models.TextField(blank=True, db_tablespace='', verbose_name='Description (English)')),
                ('description_de', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Deutsch)')),
                ('description_fr', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Français)')),
                ('description_lt', models.TextField(blank=True, db_tablespace='', verbose_name='Description (Lietuvių kalba)')),
                ('categories', models.ManyToManyField(blank=True, related_name='ideas', to='ideas.Category', verbose_name='Categories')),
            ],
            options={
                'verbose_name': 'Idea',
                'verbose_name_plural': 'Ideas',
            },
        ),
    ]
